; ref https://stackoverflow.com/questions/52966390/undefined-reference-to-winmain-when-compiling-nasm-program-on-windows-mingw

BITS 32

GLOBAL _main

EXTERN printf
EXTERN exit

SECTION .text

_main:
 push strHelloWorld 
 call printf 
 add esp, 04h

 push 0
 call exit 


SECTION .data

 strHelloWorld db "Hello, world!", 13, 10, 0